@font-face {
  font-family: 'MyFont';
  src: url('./fonts/AvenirLTProBook.otf') format('opentype');
  font-weight: normal;
  font-style: normal;
}

body {
  font-family: 'MyFont', sans-serif;
  transition: background-color .5s;
  background: transparent;
  background-color: rgba(0, 0, 0, 0.5);
  padding: 0;
  margin: 0;
}

/*----------------------------------------*/
/* STYLING FOR THE BOTTOM MENU */
/*----------------------------------------*/
aside {
  position: fixed;
  user-select: none;
  user-drag: none;
  bottom: -100%;
  /* hidden below the screen */
  background: rgba(184, 226, 222, 1);
  opacity: 0.95;
  transition: bottom 0.4s ease-in-out;
  border-top-left-radius: 12px;
  border-top-right-radius: 12px;
  z-index: 999;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  width: auto;
  left: auto;
  right: auto;
  height: auto;
  max-width: 640px;
  padding-bottom: 2rem;
  border-radius: 0;
  padding: 1.5rem;
}

aside.show {
  bottom: 0;
  /* Slide up into view */
}

aside * {
  margin: 0 !important;
}


/* Styling close button/cross inside the bottom menu */
.brs-bottom-close {
  position: absolute;
  top: 0px;
  right: 25px;
  font-size: 5rem;
  color: rgba(0, 114, 130, 1);
  cursor: pointer;
  background-image: url('./icons/Exit.svg');
  background-size: 48px 48px;
  background-repeat: no-repeat;
  background-position: center;
  z-index: 1000;
}

.brs-bottom-close:hover {
  color: rgb(141, 140, 130)
}

/* ---------------------------- */
/* STYLING FOR THE SIDEBAR MENU */
/* ---------------------------- */
.sidebarShow {
  right: -2px;
  padding-left: 15px;
  /*Posistion Icons from the left*/
}

.brs-sidenav {
  position: fixed;
  top: 40px;
  left: 0;
  height: auto;
  width: 0;
  overflow-x: hidden;
  user-select: none;
  user-drag: none;
  background-color: rgba(184, 226, 222, 1);
  transition: width 0.5s ease;
  z-index: 998;
  border-top-right-radius: 12px;
  border-bottom-right-radius: 12px;
}

.brs-sidenav a {
  margin-top: -1rem;
  margin-left: 1rem;
  text-decoration: none;
  color: rgba(0, 114, 130, 1);
  display: block;
  transition: 0.3s;
}

.brs-sidenav a:hover {
  color: rgb(141, 140, 130)
}

.brs-sidenav .brs-closebtn,
.brs-bottom-close {
  position: absolute;
  top: 0.9rem;
  right: 1rem;
  cursor: pointer;
  background-color: white;
  border-radius: 50%;
  height: 34px;
  width: 34px;
  font-size: 3rem;
  line-height: .8;
  text-align: center;
  margin: 0;
}

.brs-bottom-close {
  top: .75rem;
}

#brs-main {
  transition: margin-left .5s;
}

#brs-menu-content {
  opacity: 0;
  padding: 3.25rem 1.5rem 2.75rem 1.5rem;
  display: flex !important;
  flex-direction: column;
  gap: 1rem;
}

.brs-fade-in {
  animation: brs-fadein-animation 1.6s forwards;
}

.brs-fade-out {
  animation: brs-fadeout-animation .5s forwards;
}

@keyframes brs-fadein-animation {
  0% {
    opacity: 0;
  }

  20% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

@keyframes brs-fadeout-animation {
  0% {
    opacity: 1;
  }

  20% {
    opacity: 1;
  }

  100% {
    opacity: 0;
  }
}

/*-----------------------------*/
/* BURGER MENU STYLING */
/*-----------------------------*/
.burgerMenuButton {
  position: fixed;
  top: 35px;
  left: 2rem;
  user-select: none;
  user-drag: none;
  z-index: 1;
}

.brs-burgermenuStyling {
  font-size: 2.5rem;
  color: rgba(254, 254, 254, 1);
  cursor: pointer;
}

/*-----------------------------*/
/* GENERAL/MIX STYLING */
/*-----------------------------*/
.brs-flex {
  display: flex;
}

.brs-justify-between {
  justify-content: space-between;
}

.brs-items-center {
  align-items: center;
}

.noUserSelection {
  -webkit-touch-callout: none !important;
  -webkit-user-select: none !important;
  -webkit-user-drag: none !important;
  -khtml-user-select: none !important;
  -moz-user-select: none !important;
  -ms-user-select: none !important;
  user-select: none !important;
}

.brs-gap {
  gap: 0.5rem;
}

#unit\.unitNumber {
  text-transform: uppercase;
}

.brs-LeilighetStatusTextSmal {
  font-size: .875rem;
  line-height: 1.25rem;
}

.brs-LeilighetStatusTextNormal {
  font-size: 1.2rem;
  line-height: 1.25rem;
}

.brs-LeilighetStatusTextLarge {
  font-size: 1.875rem;
  line-height: 1.25rem;
}

.brs-LeilighetStatus-sold {
  background-color: rgb(209, 58, 68, 1);
}

.brs-LeilighetStatus-available {
  background-color: rgb(68, 58, 109, 1);
}

.brs-LeilighetStatus-reserved {
  background-color: rgba(245, 199, 58, 1);
}

.brs-LeilighetStatus-badge {
  border-radius: 3px;
  background-color: rgb(110, 0, 0, 0.8);
  padding-left: .25rem;
  padding-right: .25rem;
  vertical-align: middle;
  font-size: 1.4rem;
  line-height: 1.625;
  color: rgb(255, 255, 255, 1.0);
}

.brs-LeilighetStatus {
  margin: 0.5rem;
  justify-content: space-between;
  gap: .5rem;
}

.brs-LeilighetStatusTextColor {
  font-size: 1.4rem;
  margin-left: 0.5rem;
  color: rgba(0, 114, 130, 1);
}

/* Used to invert svg icon color elements */
.invert-icon {
  filter: invert(100%) brightness(200%);
}

label {
  font-size: 1.25rem;
  color: rgba(0, 114, 130, 1);
  cursor: default;
  margin-right: 0.5rem;
}

.brs-TextInfo-bold {
  font-size: 1.25rem;
  margin-right: 1rem;
  color: rgba(0, 114, 130, 1);
}

.brs-ClockTimeText {
  color: rgba(245, 245, 245, 1);
  font-weight: 600;
  font-size: 2rem;
  text-shadow: 0 0 14px #323d3d;
}

/*  Icon "Checkbox" Style */
.brs-iconCheckbox {
  font-size: 1.2rem;
  color: rgba(0, 114, 130, 1);
  gap: .5rem;
}

.brs-helpscreenHeadlines {
  color: rgba(254, 254, 254, 1);
  font-size: 2rem;
  font-style: italic;
}

.brs-HovedLogo {
  position: absolute;
  background-image: url('./gfx/Kanalbyen_logo_white_smal.svg');
  background-repeat: no-repeat;
  background-position: center;
  bottom: 0px;
  right: 25px;
  width: 60px;
  height: 50px;
  z-index: 1;
}

/*-----------------------------*/
/* CUSTOM BUTTON STYLING */
/*-----------------------------*/
.brs-Button {
  width: 90%;
  margin-top: 0.3rem;
  margin-left: 1rem;
  border: 0;
  border-radius: 0;
  background-color: #00A09B;
  color: white;
  font-size: 1.25rem;
  padding: .75rem;
  height: auto;
}

.brs-Button:hover {
  background-color: #347785;
}

.brs-goBackButton {
  position: absolute;
  cursor: pointer;
  overflow: hidden;
  user-select: none;
  top: 45px;
  right: 3rem;
  width: 120px;
  text-align: center;
  color: rgb(245, 245, 245);
  border: none;
  transition: background-color 0.4s, color 0.4s;
  /* Smooth transition */
  z-index: 997;
  background-color: #347785;
  font-size: 1.5rem;
  height: auto;
  padding: .75rem .75rem .5rem .75rem;
}

/*-----------------------------*/
/* CUSTOM CHECKBOX STYLING */
/*-----------------------------*/
.brs-custom-checkbox {
  display: flex;
  align-items: center;
  cursor: pointer;
  font-size: 1.2rem;
  gap: .5rem;
}

.brs-custom-checkbox input {
  display: none;
}

.brs-custom-checkbox .brs-checkmark {
  width: 32px;
  height: 32px;
  border-radius: 5px;
  display: inline-block;
  position: relative;
  background-color: white;
}

.brs-custom-checkbox .brs-checkmark::after {
  content: "";
  position: absolute;
  display: none;
  left: 12px;
  top: 1px;
  width: 6px;
  height: 20px;
  border: solid rgba(0, 114, 130, 1);
  border-width: 0 3px 3px 0;
  transform: rotate(45deg);
}

.brs-custom-checkbox input:checked+.brs-checkmark::after {
  display: block;
}

/*-----------------------------*/
/* SHARE LINK STYLING */
/*-----------------------------*/
.brs-shareLink {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 34px;
  height: 34px;
  background-color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  padding: 0;
  transition: background-color 0.2s;
}

.brs-shareLink:hover {
  background-color: rgba(0, 114, 130, 0.1);
}

#copy-confirmation {
  transition: opacity 0.3s ease;
}

/*----------------------------------------*/
/* ICONS USED IN THE SETTING MENU STYLING */
/*----------------------------------------*/
.brs-has-icon-share {
  background-image: url('./icons/share-alt.svg');
  background-size: 24px 24px;
  background-repeat: no-repeat;
  background-position: center;
}

.brs-has-icon-help {
  background-image: url('./icons/help.svg');
  background-size: 24px 24px;
  background-repeat: no-repeat;
  background-position: center;
}

/*-----------------------------*/
/* MODAL STYLING */
/*-----------------------------*/
.brs-modal {
  display: none;
  /* Hidden by default */
  user-select: none;
  position: fixed;
  z-index: 9999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  /*    overflow-y: auto;*/
  background-color: transparent;
}

.brs-modal-content {
  background-color: rgb(88, 190, 187);
  margin: 3px;
  padding: 2rem;
  border-radius: 12px;
  height: 95vh;
  color: rgba(0, 114, 130, 1);
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.4);
}

.brs-close {
  color: rgb(11, 120, 135);
  float: right;
  font-size: 5rem;
  cursor: pointer;
  background-image: url('./icons/Exit.svg');
  background-size: 48px 48px;
  background-repeat: no-repeat;
  background-position: center;
}

.brs-close:hover {
  color: rgb(141, 140, 130);
}

.brs-modal-body {
  margin-top: 1rem;
}

.brs-help-section {
  display: flex;
  gap: 1rem;
  margin-bottom: 2rem;
  align-items: flex-start;
}

.brs-help-icon {
  width: 40px;
  height: 40px;
  flex-shrink: 0;
}

.brs-help-text h3 {
  margin: 0;
  font-size: 2rem;
  font-weight: bold;
  color: rgb(0, 91, 95);
}

.brs-help-text p {
  margin: 0.8rem 0;
  color: rgb(245, 245, 245);
  font-size: 1.6rem;
}

/* Fake Line break*/
.brs-br {
  display: none;
}

.brs-modalFooterText {
  margin-top: 4rem;
  color: rgb(0, 91, 95);
}

.brs-modalLogo {
  width: 200px;
  height: 80px;
  margin-left: 3.5rem;
  margin-bottom: 1rem;
}

/*---------------------------------*/
/* STYLING FOR SUNSLIDER */
/*---------------------------------*/
.brs-time-slider-container {
  position: fixed;
  bottom: 80px;
  /* Distance from bottom */
  left: 50%;
  transform: translateX(-50%);
  width: 80vw;
  background-color: transparent;
  border-radius: 20px;
  padding-top: 1rem;
  padding-bottom: 1rem;
  text-align: center;
  user-select: none;
  z-index: 1;
}

.brs-time-slider-container input[type="range"] {
  -webkit-appearance: none;
  width: 95%;
  height: 16px;
  background: rgb(200, 230, 230);
  border-radius: 10px;
  outline: none;
  margin-top: 1rem;
  margin-bottom: 1rem;
}

.brs-time-slider-container input[type="range"]::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 42px;
  height: 42px;
  background: rgb(42, 114, 115);
  border-radius: 50%;
  cursor: pointer;
  margin-top: -4px;
  border: 2px solid white;
  /* Center thumb vertically */
}

#sunTime {
  color: white;
  font-size: 1.2rem;
  font-family: sans-serif;
  margin-bottom: 0.75rem;
}

.brs-season-buttons {
  display: flex;
  justify-content: center;
  gap: 0.5rem;
  margin-top: 1rem;
}

.brs-season-buttons button {
  background: none;
  border: none;
  font-size: 1.2rem;
  cursor: pointer;
  background-color: #347785;
  color: white;
  padding: .5rem .75rem;
}

.brs-season-buttons button:hover,
.brs-season-buttons button.active {
  background-color: #00A09B;
}

/*------------------------------*/
/* STYLING FOR COPYING URL/LINK */
/*------------------------------*/
.brs-toast {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: rgba(10, 115, 131, 0.95);
  color: rgb(245, 245, 245);
  padding: 1rem 2rem;
  font-size: 1.5rem;
  border-radius: 10px;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.5s ease;
  z-index: 9999;
}

.brs-toast.show {
  opacity: 1;
}

/*---------------------------------*/
/* MEDIA / TABLET / MOBILE STYLING */
/*---------------------------------*/
@media screen and (max-height: 960px) {

  /* Modal Styling */
  .brs-modal {
    overflow-y: auto;
  }

  .brs-modal-content {
    background-color: rgb(88, 190, 187);
    margin: 5px auto;
    padding-left: 2rem;
    padding-right: 2rem;
    padding-top: 1rem;
    padding-bottom: 1rem;
    height: auto;
    min-height: 95%;
    max-width: 98%;
    color: rgba(0, 114, 130, 1);
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.4);
  }

  .brs-help-text h3 {
    font-size: 1.2rem;
  }

  .brs-help-text p {
    font-size: 1rem;
  }

  .brs-modalLogo {
    width: 100px;
    height: 40px;
    margin-left: 3.5rem;
    margin-bottom: 1rem;
  }

  .brs-modalFooterText {
    margin-top: 2rem;
    color: rgb(0, 91, 95);
  }

  /* Bottom Menu */
  .brs-bottom-close {
    top: -5px;
    right: 10px;
    font-size: 3.5rem;
    background-size: 36px 36px;
  }

  /* Sunslider Styling */
  .brs-season-buttons button {
    font-size: 1rem;
  }
}

/* MEDIA / TABLET / MOBILE STYLING FOR LANDSCAPE */
/*@media all and (max-width: 600px) and (orientation:landscape) {*/
@media screen and (max-height: 960px) and (orientation:landscape) {

  /*  Left Side Menu */
  /*--------------------------*/
  .brs-sidenav {
    top: 0px;
    height: 400px;
    width: 0;
  }

  /*  Bottom Menu / wrapper */
  /*--------------------------*/
  aside {
    margin-top: 1rem;
    width: 100vw;
    height: auto;
    /* or use 70% if you want relative to full screen */
  }

  .brs-apartment-info {
    font-size: .9rem;
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    gap: .25rem 2rem;
    padding: .75rem 0;
  }

  .brs-apartment-info>.brs-flex {
    flex: 1 1 45%;
    /* About half-width per item */
    min-width: 45%;
    display: flex;
    justify-content: space-between;
  }

  .brs-flex brs-justify-between button {
    width: 100%;
    margin-top: 2rem;
  }

  .brs-Button {
    width: 100%;
    margin-right: 1rem;
  }

  .brs-LeilighetStatus {
    margin-top: 1rem;
  }


  /*  Del/Copy/Share URL "Box/square" Styling*/
  /*--------------------------*/
  .iconCheckbox {
    margin-top: 1rem;
  }

  /* Sunslider Styling */
  /*--------------------------*/
  .brs-time-slider-container {
    bottom: 10px;
    /* Distance from bottom */
    padding-top: 0rem;
    padding-bottom: 0rem;
    background-color: transparent;
  }

  .brs-time-slider-container input[type="range"]::-webkit-slider-thumb {
    width: 36px;
    height: 36px;
    margin-top: -4px;
    /* Center thumb vertically */
    background-color: #00A09B;
    border: 2px solid white;
    box-shadow: 0 0 5px 5px #393f3f36;
  }

  .brs-time-slider-container input[type="range"] {
    height: 14px;
    margin-top: 0.3rem;
    margin-bottom: 0.3rem;
  }

}